CRYPTO_BLKCIPHER_DEC(9)

NAME
crypto_blkcipher_decrypt_iv - decrypt ciphertext with dedicated IV

SYNOPSIS

int crypto_blkcipher_decrypt_iv(struct blkcipher_desc * desc, struct scatterlist * dst, struct scatterlist * src, unsigned int nbytes);

ARGUMENTS

desc
    reference to the block cipher handle with meta data

dst
    scatter/gather list that is filled by the cipher operation with the plaintext

src
    scatter/gather list that holds the ciphertext

nbytes
    number of bytes of the ciphertext to decrypt.

DESCRIPTION

Decrypt ciphertext data with the use of an IV that is solely used for this cipher operation. Any previously set IV is not used.

The blkcipher_desc data structure must be filled by the caller as documented for the crypto_blkcipher_encrypt_iv call above.

RETURN

0 if the cipher operation was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT